real2DFFT Class Reference

class real2DFFT controls fftw plans and executes fwd/inv transforms More...

`#include <real2DFFT.H>`

## Public Member Functions

| real2DFFT (real2DFFTData *d)
| fft init ... data pointed to by 'd'
| ~real2DFFT ()
| fft deconstructor
void | fwdTransform ()
| Forward transform the data (in to out)
void | invTransform ()
| Inverse transform the data (out to in)

## Protected Attributes

real2DFFTData * | data
| The pointer to the relevant data.

## Detailed Description

class real2DFFT controls fftw plans and executes fwd/inv transforms

Examples
  real2DFFTExample.cc.

Definition at line 102 of file real2DFFT.H.

## Member Data Documentation

## data

real2DFFTData* real2DFFT::data

protected

The pointer to the relevant data.

Definition at line 107 of file real2DFFT.H.

The documentation for this class was generated from the following file:

- real2DFFT.H